<%= performance_indicator.name %>

<% if performance_indicator.parent %>
   <p>This is a subset of an existing KPI. Please see <a href="<%=performance_indicator.parent=%>">the definition for the parent KPI.</a></p>
<% end %>

<p><%= performance_indicator.definition %></p>

<% if performance_indicator.funnel %>
  <p><b>Funnel Description:</b> <a href="<%= performance_indicator.funnel %>">Handbook Link</a></p>
<% end %>

<% if performance_indicator.product_analytics_type %>
  <p><b>SaaS/SM:</b> <%= performance_indicator.product_analytics_type %></p>
<% end %>

<% if performance_indicator.target %>
  <p><b>Target:</b> <%= performance_indicator.target %></p>
<% end %>

<% if performance_indicator.is_primary %>
  <p><b>Is Primary PI:</b> <%= performance_indicator.is_primary %></p>
<% end %>

<% if performance_indicator.public == false %>
  <p><b>This KPI cannot be public.</b> </p>
<% end %>

<b>Health: <%= color_code_health(performance_indicator.health.level) %></b>

<% performance_indicator.health.reasons.each do |reason| %>
<%="  * #{reason}"%>
<% end %>

<% if performance_indicator.metric_name %>
  <p><b>Metric Name:</b> <%= performance_indicator.metric_name %></p>
<% end %>

<% if performance_indicator.chart_image %>
  <b>Chart</b>
  <p><img src="<%=performance_indicator.chart_image%>"/></p>
<% end %>

<% if performance_indicator.sisense_data %>
  <b>Chart</b>
    <% if performance_indicator.sisense_data.shared_dashboard%>
      (<a href="https://app.periscopedata.com/shared/<%= performance_indicator.sisense_data.shared_dashboard %>" target="_blank">Sisense↗</a>)
    <% elsif performance_indicator.sisense_data.dashboard && performance_indicator.sisense_data.filters%>
      (<a href="https://app.periscopedata.com/app/gitlab/<%= performance_indicator.sisense_data.dashboard %>" target="_blank">Sisense↗</a>)
    <% elsif performance_indicator.sisense_data.chart && performance_indicator.sisense_data.dashboard%>
      (<a href="https://app.periscopedata.com/app/gitlab/<%= performance_indicator.sisense_data.dashboard %>/?widget=<%= performance_indicator.sisense_data.chart %>" target="_blank">Sisense↗</a>)
    <% end %>
  <% if ENV['PERISCOPE_EMBED_API_KEY'] %>
      <% if performance_indicator.sisense_data.filters %>
        <embed width="100%" height="100%" style="min-height:300px;" src="<%= signed_periscope_url(dashboard: performance_indicator.sisense_data.dashboard, chart: performance_indicator.sisense_data.chart, embed: 'v2', filters: performance_indicator.sisense_data.filters) %>">
      <% else %>
        <embed width="100%" height="100%" style="min-height:300px;" src="<%= signed_periscope_url(performance_indicator.sisense_data) %>">
      <% end %>
  <% else %>
    <p>You must set a <code>PERISCOPE_EMBED_API_KEY</code> environment variable to render this chart.</p>
  <% end %>
<% end %>

<% if performance_indicator.sisense_data_secondary %>
  <b>Secondary Chart</b>
    <% if performance_indicator.sisense_data_secondary.shared_dashboard%>
      (<a href="https://app.periscopedata.com/shared/<%= performance_indicator.sisense_data_secondary.shared_dashboard %>">Sisense↗</a>)
    <% elsif performance_indicator.sisense_data_secondary.chart && performance_indicator.sisense_data_secondary.dashboard%>
      (<a href="https://app.periscopedata.com/app/gitlab/<%= performance_indicator.sisense_data_secondary.dashboard %>/?widget=<%= performance_indicator.sisense_data_secondary.chart %>">Sisense↗</a>)
    <% end %>
  <% if ENV['PERISCOPE_EMBED_API_KEY'] %>
    <embed width="100%" height="100%" style="min-height:300px;" src="<%= signed_periscope_url(performance_indicator.sisense_data_secondary) %>">
  <% else %>
    <p>You must set a <code>PERISCOPE_EMBED_API_KEY</code> environment variable to render this chart.</p>
  <% end %>
<% end %>

<% if performance_indicator.sisense_data_tertiary %>
  <b>Tertiary Chart</b>
    <% if performance_indicator.sisense_data_tertiary.shared_dashboard%>
      (<a href="https://app.periscopedata.com/shared/<%= performance_indicator.sisense_data_tertiary.shared_dashboard %>">Sisense↗</a>)
    <% elsif performance_indicator.sisense_data_tertiary.chart && performance_indicator.sisense_data_tertiary.dashboard%>
      (<a href="https://app.periscopedata.com/app/gitlab/<%= performance_indicator.sisense_data_tertiary.dashboard %>/?widget=<%= performance_indicator.sisense_data_tertiary.chart %>">Sisense↗</a>)
    <% end %>
  <% if ENV['PERISCOPE_EMBED_API_KEY'] %>
    <embed width="100%" height="100%" style="min-height:300px;" src="<%= signed_periscope_url(performance_indicator.sisense_data_tertiary) %>">
  <% else %>
    <p>You must set a <code>PERISCOPE_EMBED_API_KEY</code> environment variable to render this chart.</p>
  <% end %>
<% end %>

<% if performance_indicator.urls %>
  <b>URL(s)</b>
  <ul>
  <% performance_indicator.urls.each do |url| %>
    <li><a href="<%= url %>"><%= url %></a></li>
  <% end %>
  </ul>
<% end %>

<% if performance_indicator.implementation %>
  <b>Implementation Status:</b> <%= performance_indicator.implementation.status %>
  
  <% if performance_indicator.implementation.reasons %>
    <% performance_indicator.implementation.reasons.each do |reason| %>
<%="  * #{reason}"%>
    <% end %>
  <% end %>
<% end %>

<% if performance_indicator.lessons %>
<b>Lessons Learned (<%= Date::MONTHNAMES[Date.today.prev_month.month] %>):</b>

<% performance_indicator.lessons.learned.each do |reason| %>
<%="  * #{reason}"%>
<% end %>
<% end %>


<% if performance_indicator.monthly_focus %>
<b>Focus This Month (<%= Date::MONTHNAMES[Date.today.month] %>):</b>

<% performance_indicator.monthly_focus.goals.each do |reason| %>
<%="  * #{reason}"%>
<% end %>
<% end %>
